<template>
    <div class="row justify-center">
        <div class="col-lg-9 col-12">

            <div v-if="Granted" class="column justify-center items-center q-gutter-md"
                 style="height: 300px;">
                <div class="text-subtitle1 text-center">
                    You have already enabled push notifications!

                </div>
                <div class="text-body1 text-center">
                    Click next to continue
                </div>
            </div>
            <div v-else-if="NotDenied" class="column justify-center items-center q-gutter-md"
                 style="height: 300px;">
                <div class="text-body1 text-center">
                    To have a better experience and have real time notifications for
                    alerts of your construction site, we need you to grant us permission
                    to push you notifications
                </div>
                <q-btn icon="icofont-notification" label="Notify Me!" color="primary" @click="Prompt"/>
            </div>
            <div v-else class="column justify-center items-center q-gutter-md" style="height: 300px;">
                <div class="text-body1 text-center">
                    You have rejected our request to provide push notifications. To enable this again,
                    please visit <a target="_blank"
                                    href="https://support.google.com/chrome/answer/3220216?co=GENIE.Platform%3DAndroid&hl=en-GB&oco=1">here</a>
                    for more instructions.
                </div>
            </div>
        </div>
    </div>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Vue} from 'vue-property-decorator';


@Component
export default class AskPushNotification extends Vue {


    permission = Notification.permission;

    mounted() {
        this.permission = Notification.permission;
    }

    get Granted(): boolean {
        return this.permission === "granted";
    }

    get NotDenied(): boolean {
        return this.permission !== 'denied';
    }

    async Prompt() {
        await Notification.requestPermission();
        this.permission = Notification.permission;
    }
}
</script>
